National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2014-2179 Detail

Current Description

The Cisco RV router firmware on RV220W devices, before 1.0.5.9 on RV120W devices, and before 1.0.4.14 on RV180 and RV180W devices allows remote attackers to upload files to arbitrary locations via a crafted HTTP request, aka Bug ID CSCuh86998.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://packetstormsecurity.com/files/128992/Cisco-RV-Overwrite-CSRF-Command-Execution.html
http://seclists.org/fulldisclosure/2014/Nov/6
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20141105-rv Patch Vendor Advisory
http://www.securityfocus.com/archive/1/533917/100/0/threaded
http://www.securitytracker.com/id/1031171
https://exchange.xforce.ibmcloud.com/vulnerabilities/98499

Technical Details

Vulnerability Type (View All)

  • Improper Input Validation (CWE-20)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
AND
OR
 cpe:2.3:o:cisco:rv180_firmware:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
1.0.3.10
OR
 cpe:2.3:h:cisco:rv180:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:rv180w:-:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 2 ( hide )
AND
OR
 cpe:2.3:o:cisco:rv120w_firmware:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
1.0.5.8
OR
 cpe:2.3:h:cisco:rv120w:-:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 3 ( hide )
AND
OR
 cpe:2.3:o:cisco:rv220w_firmware:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
1.0.5.8
OR
 cpe:2.3:h:cisco:rv220w:-:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

5 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-2179
NVD Published Date:
11/07/2014
NVD Last Modified:
10/09/2018